com.google.gwt.user.client

## Class Random

- java.lang.Object
- - com.google.gwt.user.client.Random

    public final class Random
    extends java.lang.Object

This class can be used as a substitute for `Random`. The semantics differ in that the underlying browser's implementation is used. The random generator cannot be seeded or otherwise used to reproduce a particular sequence of results.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `nextBoolean()` Returns true or false with roughly equal probability.
`static double` `nextDouble()` Returns a random `double` between 0 (inclusive) and 1 (exclusive).
`static int` `nextInt()` Returns a random `int` between -2147483648 and 2147483647 (inclusive) with roughly equal probability of returning any particular `int` in this range.
`static int` `nextInt(int upperBound)` Returns a random `int` between 0 (inclusive) and `upperBound` (exclusive) with roughly equal probability of returning any particular `int` in this range.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### nextBoolean

    public static boolean nextBoolean()

Returns true or false with roughly equal probability. The underlying browser's random implementation is used.

#### nextDouble

    public static double nextDouble()

Returns a random `double` between 0 (inclusive) and 1 (exclusive). The underlying browser's random implementation is used.

#### nextInt

    public static int nextInt()

Returns a random `int` between -2147483648 and 2147483647 (inclusive) with roughly equal probability of returning any particular `int` in this range. The underlying browser's random implementation is used.

#### nextInt

    public static int nextInt(int upperBound)

Returns a random `int` between 0 (inclusive) and `upperBound` (exclusive) with roughly equal probability of returning any particular `int` in this range. The underlying browser's random implementation is used.